VSim System Requirements

VSim runs on 64-bit Windows, Linux, and Mac and has installation procedures that users will be familiar with on their respective operating system. Some of the systems supported are:

  • Windows 7, 8, 10, Server 2008 R2, Server 2012
  • Linux distributions with glibc 2.11.3 or later (verified on Fedora/RedHat/CentOS, SUSE, Ubuntu)
  • A compatibility version will support Linux distributions with glibc 2.5 or later (verified on CentOS and Ubuntu)
  • Mac OS X Yosemite, El Capitan, Sierra, and High Sierra
  • Cray XC30

Note

The version of glibc can be found with the command: ldd –version

The VSim serial engine (vorpalser) is available for running on single processor workstations. The VSim parallel engine (vorpal) is provided for multi-core systems that support the Message Passing Interface (MPI). There is support for running VSim simulations on Linux clusters with common job schedulers as well as running with the “Windows Clustering” server technology.

VSim is licensed per compute platform, which may be a workstation or a cluster. For a workstation, creating a license requires the MAC (hardware) address.

A cluster is defined to be “A dynamic collection of compute nodes sharing a common filesystem and a single common queuing system.” For a cluster, all nodes be able to determine their own hardware (or MAC) address and hostname. For a cluster, we also require that there is a method available from each compute node that can determine the list of compute nodes from the queuing system given to us by the customer. If the customer wants the capability to dynamically change the size of the cluster after licensing, then we require that the compute nodes be able to remote-shell-connect to each other. If a job is running on a collection of nodes, any one of which is licensed, and all of which can see the shared filesystem and are in the nodes list from the queuing system, then we consider the job to be running on the licensed cluster. Otherwise, if one or more job nodes can reach one the licensed nodes and can validate it, and all of the nodes can see the shared filesystem and are in the nodes list from the queuing system, then we also consider the job to be running on the licensed cluster.

VSim is highly scalable, and has been developed to solve the most challenging computational electromagnetics problems of our time. Some example calculations, particularly for plasma acceleration, require a supercomputer to run adequately in 3D, though VSim desktop users may explore how the files work by running them in 2D. Some microwave device examples, such as our Helix Traveling Wave Tube Power Run, could require 12GB RAM or more to run. However, it is possible to set up an input file at lower resolution if you have limited resources.

The VSim 9 Windows installer is around 350MB, and requires around 1.2GB of disk space to install. The Linux installer is slightly over 1GB due to the inclusion of additional system packages, and unpacks into around 2.7GB. Please ensure you have enough additional space to run your simulations.

The visualization in VSim uses OpenGL and requires optimal graphics drivers. The standard Linux distributions may not come with drivers written by the graphics-card manufacturer, which are necessary for full hardware acceleration. You should download and install the latest driver for your graphics card from your graphics card vendor’s website. In the case of an NVidia graphics card, you can get the latest driver by going to NVidia’s website, selecting the Download Drivers link, and then selecting the Linux Display Drivers link.

The application has a minimum size that does not work well below the resolution of 1280x800 pixels or XVGA. Smaller resolutions will start to lose parts of the user interface of the application.

VSim has GPU computing capability based on the NVidia CUDA Toolkit, currently at version 9.1. This is supported only on 64-bit Linux and 64-bit Windows. One does not need a CUDA-enabled graphics card to use VSim unless the GPU capability is invoked, but if a simulation is configured to run on the GPU, then the graphics card must have CUDA capability and a driver that is compatible with version 9.1 of the toolkit.

Note

To use the GPU capability of VSim, you will need a CUDA-enabled GPU card with a driver that is compatible with the CUDA Toolkit version 9.1. Downloading the developer toolkit is not needed, just the driver, but if you do download the CUDA Toolkit (see https://developer.nvidia.com/cuda-downloads, then it will guarantee your driver is compatible.

For large parallel simulations running across nodes in high performance cluster, there are some requirements that can worked out easily with system administrators and depend on the details of the cluster configurations. In general, we don’t recommend running VSim on AFS file systems.

Note

The Andrew File System (AFS) is not recommended to run VSim in parallel. The distributed AFS system is optimized for location-transparency over a wide area network rather than the low-latency conditions necessary for high performance in cluster storage. File systems such as Lustre or the General Parallel File System (GPFS) perform better when running VSim.

For installation instructions see: VSim Installation Instructions